System.Drawing 2.0.0.0 System.IDisposable

A device context defines the graphics object for drawing on a Windows-based device. An example of a class that implements the interface is the class.

Defines methods for obtaining and releasing an existing handle to a Windows device context.

- Method
  System.IntPtr

  and are two methods that allow you to get and release the handle for a Windows-based device. You should always follow a call to with a call to when you are finished with the Windows handle.

  is not designed to obtain handles created using Windows GDI methods such as CreateDC or CreateCompatibleDC.

  Returns the handle to a Windows device context.

  An representing the handle of a device context.

  2.0.0.0
- Method
  System.Void

  and are two methods that allow you to get and release the handle for a Windows-based device. You should always follow a call to with a call to when you are finished with the Windows handle.

  Releases the handle of a Windows device context.

  2.0.0.0